%define upstream_name    Array-Columnize
%define upstream_version 1.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Arrange list data in columns
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Array/%{upstream_name}-%{upstream_version}.tar.gz
# Not real packages:
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Array::Columnize::(columnize|options)\\)$

BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::More) >= 0.810.0
BuildRequires: perl(rlib) >= 0.20.0
BuildRequires: perl(version)
BuildArch:  noarch

%description
Array::Columnize displays the contents of arrays in columns.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc ChangeLog Changes META.json META.yml MYMETA.yml SIGNATURE eg
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Feb 15 2020 umeabot <umeabot> 1.40.0-11.mga8
+ Revision: 1523695
- Mageia 8 Mass Rebuild

* Tue Mar 12 2019 tv <tv> 1.40.0-10.mga7
+ Revision: 1374626
- fix summary

* Wed Sep 19 2018 umeabot <umeabot> 1.40.0-9.mga7
+ Revision: 1265696
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.40.0-8.mga6
+ Revision: 1022569
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.40.0-7.mga6
+ Revision: 945671
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.40.0-6.mga5
+ Revision: 741028
- Second Mageia 5 Mass Rebuild

* Sat Oct 04 2014 tv <tv> 1.40.0-5.mga5
+ Revision: 736733
- add excludes

* Tue Sep 30 2014 jquelin <jquelin> 1.40.0-4.mga5
+ Revision: 731977
- rebuild after rpm update

* Tue Sep 16 2014 umeabot <umeabot> 1.40.0-3.mga5
+ Revision: 683542
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.40.0-2.mga4
+ Revision: 527772
- Mageia 4 Mass Rebuild

* Wed Jun 12 2013 shlomif <shlomif> 1.40.0-1.mga4
+ Revision: 442191
- Update sha1
- New version 1.04

* Sun Jan 13 2013 umeabot <umeabot> 1.20.0-2.mga3
+ Revision: 363131
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 26 2012 shlomif <shlomif> 1.20.0-1.mga3
+ Revision: 284071
- update to 1.02

* Thu Aug 16 2012 shlomif <shlomif> 1.10.0-1.mga3
+ Revision: 281548
- update to 1.01

* Mon Jan 09 2012 shlomif <shlomif> 0.4.2-1.mga2
+ Revision: 194090
- New version - 0.4.2

* Sun Dec 04 2011 kharec <kharec> 0.4.1-1.mga2
+ Revision: 175928
- update to v0.4.1

* Sat Nov 26 2011 kharec <kharec> 0.4.0-1.mga2
+ Revision: 172105
- update to v0.4.0

* Sat Oct 29 2011 shlomif <shlomif> 0.3.8-1.mga2
+ Revision: 159763
- Add a description.
- New CPAN version with build-system fixes
- Convert the build system to Build.PL because Makefile.PL does not work properly.
- imported package perl-Array-Columnize


* Wed Oct 26 2011 cpan2dist v0.3.5-1mga
- initial mageia release, generated with cpan2dist
